﻿//  
//  SoftBank スマートフォンサービス開発支援サイト
//  リファレンスコード5(スピナー編)
//
//  Copyright(c) 2011 SOFTBANK MOBILE Corp. All rights reserved
//


package spinner.sample;

import android.app.Activity;
import android.os.Bundle;
import android.widget.ArrayAdapter;
import android.widget.LinearLayout;
import android.widget.Spinner;

public class SpinnerSample extends Activity {

	//スピナーのオブジェクトを作成
	private Spinner spinners;

	//アクティビティ起動時に呼ばれる処理
	@Override
	public void onCreate(Bundle savedInstanceState) {

		//スーパークラスのコンストラクタを呼び出します
		super.onCreate(savedInstanceState);

		//レイアウトの作成
		LinearLayout vertical=new LinearLayout(this);

		//縦方向に並べてレイアウトします
		vertical.setOrientation(LinearLayout.VERTICAL);

		//上記の設定を有効にします
		setContentView(vertical);

		//スピナーの作成
		ArrayAdapter<String> adapter=new ArrayAdapter<String>(
			this,android.R.layout.simple_spinner_item);
		adapter.setDropDownViewResource(
			android.R.layout.simple_spinner_dropdown_item);

		//項目を追加
		adapter.add("No.1");
		adapter.add("No.2");
		adapter.add("No.3");

		//スピナーの生成
		spinners=new Spinner(this);

		//アダプターを設定します
		spinners.setAdapter(adapter);

		//チェック状態の指定
		//０のときは１番目の項目、１のときは２番目の項目を選択して表示します
		spinners.setSelection(0);

		//レイアウトの指定
		spinners.setLayoutParams(new LinearLayout.LayoutParams(LinearLayout.LayoutParams.WRAP_CONTENT,LinearLayout.LayoutParams.WRAP_CONTENT));

		//スピナーをレイアウトに追加
		vertical.addView(spinners);
	}
}